Name:           ripright
Version:        0.11
Release:        1%{?dist}
Summary:        Minimal CD to FLAC ripper
License:        GPLv2
URL:            http://www.mcternan.me.uk/ripright/
Source0:        http://www.mcternan.me.uk/ripright/software/%{name}-%{version}.tar.gz
Patch0:         0001-Fix-incorrect-handle-of-MUSICBRAINZ_ALBUMID-and-MUSI.patch
BuildRequires:  cdparanoia-devel
BuildRequires:  flac
BuildRequires:  flac-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  libcurl-devel
BuildRequires:  libdiscid-devel

%description
RipRight is a minimal CD ripper modeled on autorip. It can run as a daemon and
will automatically start ripping any CD found in the drive after which the
disc will be ejected. Ripping is always to FLAC lossless audio format with
tags taken from the community-maintained MusicBrainz lookup service and cover
art from Amazon where possible. If a disc is unknown to MusicBrainz, the CD
will be ejected without ripping and can also be optionally rejected if cover
art cannot be found.

With RipRight, ripping a CD collection is just a matter of feeding your Linux 
PC each CD in turn and waiting while they are ripped. CDs which are 
immediately ejected can be checked with the MusicBrainz Picard tool which 
allows CD identifiers to be uploaded to the website database. Any errors or 
inaccuracies in the database records can also be edited on the MusicBrainz.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_docdir}/ripright

%check
make check

%files
%doc ChangeLog
%license COPYING
%{_bindir}/ripright
%{_bindir}/riparrange
%{_mandir}/man1/ripright.1.*
%{_mandir}/man1/riparrange.1.*

%changelog
* Mon Dec 14 2015 Christopher Meng <rpm@cicku.me> - 0.11-1
- Update to 0.11

* Sun Apr 13 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9-3
- ImageMagick 6.8.8.10-3 rebuild.

* Thu Feb 20 2014 Christopher Meng <rpm@cicku.me> - 0.9-2
- Fix a typo and add the missing dependency.

* Wed Jan 01 2014 Christopher Meng <rpm@cicku.me> - 0.9-1
- Initial Package.
